> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리스트 멤버

> 리스트 멤버를 조회, 추가 및 제거합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

리스트 멤버 엔드포인트를 사용하면 리스트의 멤버를 조회하고, 리스트에 멤버를 추가하거나 제거할 수 있습니다. 또한 사용자가 어떤 리스트에 속해 있는지도 확인할 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="멤버 보기" icon="users">
    리스트의 모든 멤버를 조회합니다
  </Card>

  <Card title="멤버 추가" icon="user-plus">
    리스트에 사용자를 추가합니다
  </Card>

  <Card title="멤버 제거" icon="user-minus">
    리스트에서 사용자를 제거합니다
  </Card>

  <Card title="멤버십 조회" icon="list">
    사용자가 속한 리스트를 확인합니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

<div id="list-members-lookup">
  ### 리스트 멤버 조회
</div>

| Method | Endpoint                                                                | Description        |
| :----- | :---------------------------------------------------------------------- | :----------------- |
| GET    | [`/2/lists/:id/members`](/ko/x-api/lists/get-list-members)              | 리스트의 멤버를 조회합니다     |
| GET    | [`/2/users/:id/list_memberships`](/ko/x-api/users/get-list-memberships) | 사용자가 속한 리스트를 조회합니다 |

<div id="manage-list-members">
  ### 리스트 멤버 관리
</div>

| Method | Endpoint                                                              | Description |
| :----- | :-------------------------------------------------------------------- | :---------- |
| POST   | [`/2/lists/:id/members`](/ko/x-api/lists/add-list-member)             | 멤버 추가       |
| DELETE | [`/2/lists/:id/members/:user_id`](/ko/x-api/lists/remove-list-member) | 멤버 제거       |

***

<div id="example-get-list-members">
  ## 예시: 리스트 멤버 조회
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/members?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-add-a-member">
  ## 예제: 멤버 추가
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/lists/1234567890/members" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "9876543210"}'
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키 및 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="조회 빠른 시작" icon="users" href="/ko/x-api/lists/list-members/quickstart/list-members-lookup">
    리스트 멤버 가져오기
  </Card>

  <Card title="관리 빠른 시작" icon="user-plus" href="/ko/x-api/lists/list-members/quickstart/manage-list-members">
    멤버 추가 및 제거
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/lists/list-members/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/list-members-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
